## metastore 1

=== Makefile ===
#
# Copyright (C) 2007 David Härdeman <david@hardeman.nu>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#
# Generic settings
#
CC              = gcc
CFLAGS          = -g -Wall -D_FILE_OFFSET_BITS=64 -O2
LDFLAGS         =
INCLUDES        =
INSTALL         = install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
COMPILE         = $(CC) $(INCLUDES) $(CFLAGS)
LINK            = $(CC) $(CFLAGS) $(LDFLAGS)
OBJECTS         = utils.o metastore.o metaentry.o
HEADERS         = utils.h metastore.h metaentry.h

DESTDIR        ?=
prefix         	= /usr
usrbindir       = ${prefix}/bin
mandir          = ${prefix}/share/man

#
# Targets
#

all: metastore
.DEFAULT: all


%.o: %.c $(HEADERS)
	$(COMPILE) -o $@ -c $<


metastore: $(OBJECTS)
	$(LINK) -o $@ $^


install: all
	$(INSTALL_DATA) -D metastore.1 $(DESTDIR)$(mandir)/man1/metastore.1
	$(INSTALL_PROGRAM) -D metastore $(DESTDIR)$(usrbindir)/metastore


uninstall:
	- rm -f $(DESTDIR)$(mandir)/man1/metastore.1
	- rm -f $(DESTDIR)$(usrbindir)/metastore


clean:
	- rm -f *.o metastore


.PHONY: install uninstall clean all

## metastore 1%2B20080623%2Bdebian

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Generic settings
 #
 CC              = gcc
-CFLAGS          = -g -Wall -D_FILE_OFFSET_BITS=64 -O2
+CFLAGS          = -g -Wall -pedantic -std=c99 -D_FILE_OFFSET_BITS=64 -O2
 LDFLAGS         =
 INCLUDES        =
 INSTALL         = install -c

## metastore 1+20080623+debian

=== debian/changelog ===
metastore (1+20080623+debian-5) unstable; urgency=medium

  * Fix historical inaccuracy in debian/copyright; license is GPL-2, not
    GPL-2 or later, thanks to Dan Fandrich (closes: #767983).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 24 May 2015 12:04:54 +0200

metastore (1+20080623+debian-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Set myself as sole maintainer.
  * Mention the word "backup" in long description (thanks, Eduard Bloch).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Aug 2014 18:02:30 +0200

metastore (1+20080623+debian-3) unstable; urgency=low

  * Handle xattrs with empty value correctly; thanks to Przemysław Pawełczyk
    (closes: #676572, LP: #937306).
  * Switch to debhelper compat level 9.
  * Enable all hardening options.
  * Don't overwrite environment CFLAGS, use CPPFLAGS.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Jun 2012 17:42:59 +0200

metastore (1+20080623+debian-2) unstable; urgency=low

  * New maintainer (closes: #540588).
  * Fix getopt parsing of -f (closes: #594134).
  * Remove prompting from example Git pre-commit hook (closes: #469250);
    hooks now run with stdin closed (since Git version 1.5.4) and
    prompting will not work when using a high-level interface such as
    git-gui or Emacs anyway.
  * Switch (back) to a minimal rules files; restores missing examples.
  * Switch to source format 3.0 (quilt).
  * Add debian/watch.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Sep 2010 10:56:36 +0200

metastore (1+20080623+debian-1) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 01:16:56 +0200

metastore (1+20080623+debian) unstable; urgency=low

  * New maintainer (Closes: #486897).
  * New upstream checkout, tarball built without debian directory.
  * Replacing package descriptions with text from Davids homepage.
  * Upgrading package to standards 3.8.0.
  * Seting correct value for homepage field.
  * Adding ${misc:depends} to depends.
  * Adding/Updating vcs fields.
  * Rewriting copyright in machine-interpretable format.
  * Removing unused dirs debhelper.
  * Rewriting rules file in traditional way.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Sep 2008 13:06:00 +0200

metastore (1-4) unstable; urgency=low

  * debhelper v7; rules file minimisation
  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jun 2008 16:16:15 -0400

metastore (1-3) unstable; urgency=low

  * detect nonexistant users/groups and print a warning message that
    includes the pathname
  * Merge upstream changes through ed7e4217e2eae466bab88cd425c71ac22a0340c5:
    - First stab at supporting the option of automatically creating empty
      directories which are missing. Closes: #460998
    - Detect whether the underlying FS supports xattrs. Closes: #470184

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Mar 2008 21:34:51 -0400

metastore (1-2) unstable; urgency=low

  * Fix man page to document --compare. Closes: #451313
  * Correct display of usage message.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Nov 2007 12:11:25 -0500

metastore (1-1) unstable; urgency=low

  * Initial upload to Debian.

 -- Joey Hess <joeyh@debian.org>  Mon, 05 Nov 2007 23:01:52 -0500

metastore (1) unstable; urgency=low

  * Initial release.

 -- David Härdeman <david@hardeman.nu>  Sat, 19 May 2007 23:20:28 +0200

=== debian/control ===
Source: metastore
Section: misc
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Build-Depends: debhelper (>= 9), libattr1-dev
Standards-Version: 3.9.6
Homepage: http://david.hardeman.nu/software.php

Package: metastore
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Store and restore metadata from a filesystem
 metastore is a tool to store the metadata of files/directories/links in
 a file tree to a separate file and to later compare and apply the
 stored metadata to said file tree.
 .
 The tool was written as a supplement to git which does not store all
 metadata, making it unsuitable for e.g. storing /etc in a repo.
 .
 metastore can also be helpful in a backup script if you want to create
 a tarball of a file tree and make sure that "everything" (e.g. xattrs,
 mtime, owner, group) is stored along with the files.

=== debian/watch ===
# Upstream does not release tarballs.

## metastore 1.1.1a

=== Makefile ===
## Almost Universal Makefile
## Author: Przemysław Pawełczyk

BINS := \
 metastore

LIBS := \

### Directories
PROJ_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
SRCS_DIR = $(PROJ_DIR)src/
INCS_DIR = $(PROJ_DIR)include/
CFGS_DIR = $(PROJ_DIR)etc/
SHRS_DIR = $(PROJ_DIR)share/
OBJS_DIR = $(PROJ_DIR)obj/
BINS_DIR = $(PROJ_DIR)bin/
LIBS_DIR = $(PROJ_DIR)lib/
DOCS_DIR = $(PROJ_DIR)
MANS_DIR = $(PROJ_DIR)

###
METASTORE_VER  := $(shell "$(PROJ_DIR)"/version.sh)
UNAME_S        := $(shell uname -s)

###

DOCS := \
 AUTHORS \
 FILEFORMAT \
 LICENSE.GPLv2 \
 NEWS \
 README \
 metastore.txt \
 examples \

metastore_COMP := CC

metastore_SRCS := \
 metaentry.c \
 metastore.c \
 utils.c \

metastore_DLIBS := \

metastore_MANS := \
 man1/metastore.1 \

ifeq ($(findstring BSD,$(UNAME_S)),)
ifneq (DragonFly,$(UNAME_S))
ifneq (Darwin,$(UNAME_S))
metastore_DLIBS += -lbsd
endif
endif
endif

PVER := $(PROJ_DIR)Makefile.ver

SDEP := Makefile.dep

-include $(PVER)

# when building from project tree, then always use the same output layout
# otherwise use current working directory
ifneq (,$(findstring ^$(realpath $(PROJ_DIR)),^$(realpath ./)))
	SDEP := $(PROJ_DIR)$(SDEP)
else
	OBJS_DIR := ./obj/
	BINS_DIR := ./bin/
	LIBS_DIR := ./lib/
endif


# library name prefix
LIB_PRE := lib
# Dynamic Shared Object extension
DSO_EXT := .so
# Statically-Linked Library extension
SLL_EXT := .a


### Default target
all:   libs bins

bins:  $(BINS)
libs:  $(LIBS)

### Flags
MUSTHAVE_FLAGS    := \
 -DMETASTORE_VER="\"$(METASTORE_VER)\"" \
 -D_FILE_OFFSET_BITS=64 \
 -Wall -Wextra -pedantic \
 -g \

MUSTHAVE_CFLAGS   := -std=c99
MUSTHAVE_CXXFLAGS := -std=c++11
OPTIONAL_FLAGS    := -O2

### Install paths
PREFIX := /usr/local
EXECPREFIX := $(PREFIX)
BINDIR := $(EXECPREFIX)/bin
LIBDIR := $(EXECPREFIX)/lib
INCLUDEDIR := $(PREFIX)/include
SYSCONFDIR := $(PREFIX)/etc
DATAROOTDIR := $(PREFIX)/share
DATADIR := $(DATAROOTDIR)
DOCDIR := ${DATAROOTDIR}/doc/metastore
MANDIR := ${DATAROOTDIR}/man

### Phony targets
.PHONY: \
 all bins libs \
 strip strip-bins strips-libs \
 install install-bins install-libs install-includes \
 install-configs install-docs install-mans install-shares \
 uninstall uninstall-bins uninstall-libs uninstall-includes \
 clean distclean \
 dep \

### Install tools
INSTALL := install
INSTALL_EXEC := $(INSTALL) -m 0755
COPY_NODEREF := cp -P

### Build tools
DEFCC  := gcc
DEFCXX := g++
ifeq ($(origin CC),default)
CC  := $(DEFCC)
endif
ifeq ($(origin CXX),default)
CXX := $(DEFCXX)
endif
ifneq ($(origin CC),environment)
CC  := $(CROSS_COMPILE)$(CC)
endif
ifneq ($(origin CXX),environment)
CXX := $(CROSS_COMPILE)$(CXX)
endif
ifneq ($(origin CCLD),environment)
CCLD  := $(CC)
endif
ifneq ($(origin CXXLD),environment)
CXXLD := $(CXX)
endif
ifneq ($(origin STRIP),environment)
STRIP := $(CROSS_COMPILE)strip
endif
CC_PARAMS  = $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH)
CXX_PARAMS = $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH)

### Helpers
comma := ,

### Final flags
ifneq ($(origin CFLAGS),environment)
CFLAGS   = $(OPTIONAL_FLAGS)
endif
ifneq ($(origin CXXFLAGS),environment)
CXXFLAGS = $(OPTIONAL_FLAGS)
endif
override CFLAGS   += $(MUSTHAVE_FLAGS) $(MUSTHAVE_CFLAGS) \
                     $(if $(INCS_DIR),-I$(INCS_DIR),) -I$(SRCS_DIR)
override CXXFLAGS += $(MUSTHAVE_FLAGS) $(MUSTHAVE_CXXFLAGS) \
	                 $(if $(INCS_DIR),-I$(INCS_DIR),) -I$(SRCS_DIR)
override LDFLAGS  := $(subst -Wl$(comma),,$(LDFLAGS))
ifneq ($(origin CCLDFLAGS),environment)
CCLDFLAGS  := $(addprefix -Wl$(comma),$(LDFLAGS))
endif
ifneq ($(origin CXXLDFLAGS),environment)
CXXLDFLAGS := $(addprefix -Wl$(comma),$(LDFLAGS))
endif

vpath %.h   $(SRCS_DIR) $(INCS_DIR)
vpath %.c   $(SRCS_DIR)
vpath %.cpp $(SRCS_DIR)

### Support for hiding command-line
V ?= 0
HIDE_0 := @
HIDE_1 :=
HIDE := $(HIDE_$(V))


### Rules for directories

$(sort $(OBJS_DIR) $(BINS_DIR) $(LIBS_DIR)):
	@mkdir -p $@

### Templated rules

define BIN_template

$(1)_OBJS := $$(addsuffix .o,$$(basename $$($(1)_SRCS)))

$$(BINS_DIR)$(1): \
 $$(addsuffix $$(DSO_EXT),$$(addprefix $$(LIBS_DIR)$$(LIB_PRE),$$($(1)_DEPS))) \
 $$(addsuffix $$(SLL_EXT),$$(addprefix $$(LIBS_DIR)$$(LIB_PRE),$$($(1)_DEPS))) \
 $$(addprefix $$(OBJS_DIR),$$($(1)_OBJS)) $$(SDEP) | $$(BINS_DIR)
ifeq ($$($(1)_COMP),CC)
	@echo "        CCLD    $$@"
else
	@echo "        CXXLD   $$@"
endif
	$$(HIDE)$$($$($(1)_COMP)LD) $$($$($(1)_COMP)LDFLAGS) $$(TARGET_ARCH) \
	  -o $$@ $$(filter %.o,$$^) \
	  -Wl,-Bstatic $$($(1)_SLIBS) -Wl,-Bdynamic $$($(1)_DLIBS)

$(1): $$(BINS_DIR)$(1)
.PHONY: $(1)

SRCS += $$($(1)_SRCS)
OBJS += $$($(1)_OBJS)

CFGS += $$($(1)_CFGS)
MANS += $$($(1)_MANS)
SHRS += $$($(1)_SHRS)

endef

define LIB_template

$(1)_OBJS := $$(addsuffix .o,$$(basename $$($(1)_SRCS)))

$(1)_SOLINK := $$(LIB_PRE)$(1)$$(DSO_EXT)
$(1)_SONAME := $$(LIB_PRE)$(1)$$(DSO_EXT).$$($(1)_MAJV)
$(1)_SOFILE := $$(LIB_PRE)$(1)$$(DSO_EXT).$$($(1)_MAJV)$$($(1)_MINV)
$(1)_ARFILE := $$(LIB_PRE)$(1)$$(SLL_EXT)

$$(LIBS_DIR)$$($(1)_SOLINK): $$(LIBS_DIR)$$($(1)_SONAME)
	@echo "        LN      $$@ -> $$($(1)_SONAME)"
	$$(HIDE)(cd "$(LIBS_DIR)" && ln -sf $$($(1)_SONAME) $$($(1)_SOLINK))

ifneq ($$($(1)_SONAME),$$($(1)_SOFILE))
$$(LIBS_DIR)$$($(1)_SONAME): $$(LIBS_DIR)$$($(1)_SOFILE)
	@echo "        LN      $$@ -> $$($(1)_SOFILE)"
	$$(HIDE)(cd "$$(LIBS_DIR)" && ln -sf $$($(1)_SOFILE) $$($(1)_SONAME))
endif

$$(LIBS_DIR)$$($(1)_SOFILE): \
 $$(addsuffix $$(DSO_EXT),$$(addprefix $$(LIBS_DIR)$$(LIB_PRE),$$($(1)_DEPS))) \
 $$(addsuffix $$(SLL_EXT),$$(addprefix $$(LIBS_DIR)$$(LIB_PRE),$$($(1)_DEPS))) \
 $$(addprefix $$(OBJS_DIR),$$($(1)_OBJS)) $$(SDEP) | $$(LIBS_DIR)
ifeq ($$($(1)_COMP),CC)
	@echo "        CCLD    $$@"
else
	@echo "        CXXLD   $$@"
endif
	$$(HIDE)$$($$($(1)_COMP)LD) $$($$($(1)_COMP)LDFLAGS) $$(TARGET_ARCH) \
	  -shared -Wl,-soname,$$($(1)_SONAME) \
	  -o $$@ $$(filter %.o,$$^) \
	  -Wl,-Bstatic $$($(1)_SLIBS) -Wl,-Bdynamic $$($(1)_DLIBS)

$$(LIBS_DIR)$$($(1)_ARFILE): \
 $$(addprefix $$(OBJS_DIR),$$($(1)_OBJS)) $$(SDEP) | $$(LIBS_DIR)
	@echo "        AR      $$@"
	$$(HIDE)$$(AR) r $$@ $$(filter %.o,$$^)

$(1): \
 $$(LIBS_DIR)$$($(1)_SOFILE) \
 $$(LIBS_DIR)$$($(1)_SOLINK) \
 $$(LIBS_DIR)$$($(1)_ARFILE)
.PHONY: $(1)

SRCS += $$($(1)_SRCS)
OBJS += $$($(1)_OBJS)

INCS += $$($(1)_INCS)
CFGS += $$($(1)_CFGS)
MANS += $$($(1)_MANS)
SHRS += $$($(1)_SHRS)

LIBS_FILES += $$($(1)_SOFILE) $$($(1)_ARFILE)
LIBS_ALL_FILES += $$($(1)_SOLINK) $$($(1)_SONAME) $$($(1)_SOFILE) \
                  $$($(1)_ARFILE)

endef

$(foreach BIN,$(BINS),$(eval $(call BIN_template,$(BIN))))

$(foreach LIB,$(LIBS),$(eval $(call LIB_template,$(LIB))))


### Rules for normal targets

$(OBJS_DIR)%.o: %.c
	@echo "        CC      $@"
	$(HIDE)mkdir -p $(dir $@)
	$(HIDE)$(CC) $(CC_PARAMS) -c -o $@ $<

$(OBJS_DIR)%.o: %.cpp
	@echo "        CXX     $@"
	$(HIDE)mkdir -p $(dir $@)
	$(HIDE)$(CXX) $(CXX_PARAMS) -c -o $@ $<

$(SDEP): SRCS_PATH := $(SRCS_DIR)
$(SDEP): SRCS_DIR := ./
$(SDEP): PROJ_DIR := ../
$(SDEP): $(SRCS) $(PROJ_DIR)Makefile
	@echo "        DEPS";
	$(HIDE)echo "# This file is automatically (re)generated by make." >$(SDEP)
	$(HIDE)echo >>$(SDEP)
	$(HIDE)(cd "$(SRCS_PATH)" && for FILE in $(SRCS); do \
		if [ "$${FILE##*.}" = "c" ]; then \
			$(CC) $(CFLAGS) -MT "\$$(OBJS_DIR)$${FILE%.*}.o" -MM "$$FILE"; \
		else \
			$(CXX) $(CXXFLAGS) -MT "\$$(OBJS_DIR)$${FILE%.*}.o" -MM "$$FILE"; \
		fi \
	done) >>$(SDEP)

$(DOCS_DIR)%.txt: $(MANS_DIR)/man1/%.1
	@echo "        GROFF   $@"
	$(HIDE)groff -mandoc -Kutf8 -Tutf8 $^ | col -bx >$@


### Rules for phony targets

clean:
	@echo "        CLEAN"
	$(HIDE)$(RM) $(addprefix $(BINS_DIR),$(BINS)) \
	             $(addprefix $(LIBS_DIR),$(LIBS_ALL_FILES)) \
	             $(addprefix $(OBJS_DIR),$(OBJS)) \
	             $(SDEP)

distclean: clean
	$(HIDE)(find \
		$(OBJS_DIR) \
		$(LIBS_DIR) \
		$(BINS_DIR) \
		-type d -exec rmdir --parents {} \; \
		2>/dev/null ; exit 0)

dep: $(SDEP)

strip: strip-bins strip-libs

strip-bins: $(addprefix $(BINS_DIR),$(BINS))
ifneq ($(strip $(BINS)),)
	@echo "        STRIP   $^"
	$(HIDE)$(STRIP) $^
endif

strip-libs: $(addprefix $(LIBS_DIR),$(LIBS_FILES))
ifneq ($(strip $(LIBS)),)
	@echo "        STRIP   $^"
	$(HIDE)$(STRIP) $^
endif

install: install-bins install-libs install-includes \
         install-configs install-docs install-mans install-shares \

install-bins: $(addprefix $(BINS_DIR),$(BINS))
ifneq ($(strip $(BINS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(HIDE)$(INSTALL_EXEC) \
		$(addprefix $(BINS_DIR),$(BINS)) \
		$(DESTDIR)$(BINDIR)/
endif

install-libs: $(addprefix $(LIBS_DIR),$(LIBS_ALL_FILES))
ifneq ($(strip $(LIBS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(HIDE)$(COPY_NODEREF) \
		$(addprefix $(LIBS_DIR),$(LIBS_ALL_FILES)) \
		$(DESTDIR)$(LIBDIR)/
endif

install-includes: $(addprefix $(INCS_DIR),$(INCS))
ifneq ($(strip $(INCS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(INCLUDEDIR)
	$(HIDE)( cd $(INCS_DIR) && $(COPY_NODEREF) --parents \
		$(INCS) \
		$(DESTDIR)$(INCLUDEDIR)/ \
	)
endif

install-configs: $(addprefix $(CFGS_DIR),$(CFGS))
ifneq ($(strip $(CFGS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(SYSCONFDIR)
	$(HIDE)( cd $(CFGS_DIR) && $(COPY_NODEREF) --parents \
		$(CFGS) \
		$(DESTDIR)$(SYSCONFDIR)/ \
	)
endif

install-docs: $(addprefix $(DOCS_DIR),$(DOCS))
ifneq ($(strip $(DOCS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(HIDE)( cd $(DOCS_DIR) && $(COPY_NODEREF) --parents -r \
		$(DOCS) \
		$(DESTDIR)$(DOCDIR)/ \
	)
endif

install-mans: $(addprefix $(MANS_DIR),$(MANS))
ifneq ($(strip $(MANS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(HIDE)( cd $(MANS_DIR) && $(COPY_NODEREF) --parents \
		$(MANS) \
		$(DESTDIR)$(MANDIR)/ \
	)
endif

install-shares: $(addprefix $(SHRS_DIR),$(SHRS))
ifneq ($(strip $(SHRS)),)
	@echo "        INSTALL $^"
	$(HIDE)$(INSTALL) -d $(DESTDIR)$(DATADIR)
	$(HIDE)( cd $(SHRS_DIR) && $(COPY_NODEREF) --parents \
		$(SHRS) \
		$(DESTDIR)$(DATADIR)/ \
	)
endif

uninstall: uninstall-bins uninstall-libs uninstall-includes \
           uninstall-docs uninstall-mans uninstall-shares \

uninstall-bins:
ifneq ($(strip $(BINS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(BINDIR)/,$(BINS))"
	$(HIDE)$(RM) $(addprefix $(DESTDIR)$(BINDIR)/,$(BINS))
endif

uninstall-libs:
ifneq ($(strip $(LIBS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(LIBDIR)/,$(LIBS_ALL_FILES))"
	$(HIDE)$(RM) $(addprefix $(DESTDIR)$(LIBDIR)/,$(LIBS_ALL_FILES))
endif

uninstall-includes:
ifneq ($(strip $(INCS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(INCLUDEDIR)/,$(INCS))"
	$(HIDE)$(RM) $(addprefix $(DESTDIR)$(INCLUDEDIR)/,$(INCS))
endif

uninstall-docs:
ifneq ($(strip $(DOCS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(DOCDIR)/,$(DOCS))"
	$(HIDE)$(RM) -r $(addprefix $(DESTDIR)$(DOCDIR)/,$(DOCS))
endif

uninstall-mans:
ifneq ($(strip $(MANS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(MANDIR)/,$(MANS))"
	$(HIDE)$(RM) $(addprefix $(DESTDIR)$(MANDIR)/,$(MANS))
endif

uninstall-shares:
ifneq ($(strip $(SHRS)),)
	@echo "        UNINST  $(addprefix $(DESTDIR)$(DATADIR)/,$(SHRS))"
	$(HIDE)$(RM) $(addprefix $(DESTDIR)$(DATADIR)/,$(SHRS))
endif


### Dependencies
ifneq ($(MAKECMDGOALS),distclean)
ifneq ($(MAKECMDGOALS),clean)
-include $(SDEP)
endif
endif

=== debian/changelog ===
metastore (1.1.1a-1) unstable; urgency=medium

  * New upstream release from new maintainer (closes: #883539):
    + Fixes issue with xattrs (closes: #798222).
    + Adds new --dump option (closes: #508743).
  * Assorted packaging changes:
    + Drop all old Debian patches.
    + Add new patch to allow overriding PREFIX in upstream Makefile.
    + Set PREFIX when calling dh_auto_install.
    + Add new build-dep on libbsd-dev.
    + Install FILEFORMAT file as documentation.
    + Add new maintainer's GPG key to debian/upstream/signing-key.asc.
    + Update debian/copyright.
    + Update upstream homepage URL.
    + Update watch file and enable signature checking.
  * Add Vcs-Browser and Vcs-Git fields pointing to new repository on
    salsa.debian.org.
  * Switch to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.3.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 02 Jan 2018 19:06:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,18 @@
 Section: misc
 Priority: optional
 Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 9), libattr1-dev
-Standards-Version: 3.9.6
-Homepage: http://david.hardeman.nu/software.php
+Build-Depends: debhelper (>= 11),
+               libattr1-dev,
+               libbsd-dev
+Standards-Version: 4.1.3
+Homepage: https://github.com/przemoc/metastore
+Vcs-Browser: https://salsa.debian.org/rfrancoise/metastore
+Vcs-Git: https://salsa.debian.org/rfrancoise/metastore.git
 
 Package: metastore
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Store and restore metadata from a filesystem
  metastore is a tool to store the metadata of files/directories/links in
  a file tree to a separate file and to later compare and apply the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

## metastore 1.1.2

=== Makefile ===
--- 
+++ 
@@ -116,6 +116,16 @@
  uninstall uninstall-bins uninstall-libs uninstall-includes \
  clean distclean \
  dep \
+ printvars \
+
+### Debug
+printvars:
+	@$(foreach V, $(sort $(.VARIABLES)), \
+	   $(if $(filter-out environment% default automatic, $(origin $V)), \
+	        $(warning $V = $(value $V)) \
+	        $(if $(findstring ^$(value $V)%,^$($V)%),,$(warning $V == $($V))) \
+	   ) \
+	)
 
 ### Install tools
 INSTALL := install
@@ -149,9 +159,6 @@
 CC_PARAMS  = $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH)
 CXX_PARAMS = $(CXXFLAGS) $(CPPFLAGS) $(TARGET_ARCH)
 
-### Helpers
-comma := ,
-
 ### Final flags
 ifneq ($(origin CFLAGS),environment)
 CFLAGS   = $(OPTIONAL_FLAGS)
@@ -163,13 +170,6 @@
                      $(if $(INCS_DIR),-I$(INCS_DIR),) -I$(SRCS_DIR)
 override CXXFLAGS += $(MUSTHAVE_FLAGS) $(MUSTHAVE_CXXFLAGS) \
 	                 $(if $(INCS_DIR),-I$(INCS_DIR),) -I$(SRCS_DIR)
-override LDFLAGS  := $(subst -Wl$(comma),,$(LDFLAGS))
-ifneq ($(origin CCLDFLAGS),environment)
-CCLDFLAGS  := $(addprefix -Wl$(comma),$(LDFLAGS))
-endif
-ifneq ($(origin CXXLDFLAGS),environment)
-CXXLDFLAGS := $(addprefix -Wl$(comma),$(LDFLAGS))
-endif
 
 vpath %.h   $(SRCS_DIR) $(INCS_DIR)
 vpath %.c   $(SRCS_DIR)
@@ -202,7 +202,7 @@
 else
 	@echo "        CXXLD   $$@"
 endif
-	$$(HIDE)$$($$($(1)_COMP)LD) $$($$($(1)_COMP)LDFLAGS) $$(TARGET_ARCH) \
+	$$(HIDE)$$($$($(1)_COMP)LD) $$(LDFLAGS) $$(TARGET_ARCH) \
 	  -o $$@ $$(filter %.o,$$^) \
 	  -Wl,-Bstatic $$($(1)_SLIBS) -Wl,-Bdynamic $$($(1)_DLIBS)
 
@@ -246,7 +246,7 @@
 else
 	@echo "        CXXLD   $$@"
 endif
-	$$(HIDE)$$($$($(1)_COMP)LD) $$($$($(1)_COMP)LDFLAGS) $$(TARGET_ARCH) \
+	$$(HIDE)$$($$($(1)_COMP)LD) $$(LDFLAGS) $$(TARGET_ARCH) \
 	  -shared -Wl,-soname,$$($(1)_SONAME) \
 	  -o $$@ $$(filter %.o,$$^) \
 	  -Wl,-Bstatic $$($(1)_SLIBS) -Wl,-Bdynamic $$($(1)_DLIBS)

=== debian/changelog ===
metastore (1.1.2-2) unstable; urgency=medium

  * Loosen build-dep on debhelper 11 to allow backporting the package to
    stretch-backports.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 18 Jan 2018 21:01:26 +0100

metastore (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop Hurd patch, included upstream.
  * Drop LDFLAGS workaround.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 07 Jan 2018 13:45:35 +0100

metastore (1.1.1a-2) unstable; urgency=medium

  * Pass PREFIX to make via dh_auto_install and drop upstream patch.
  * Remove extra license text installed by the upstream makefile (lintian
    warning).
  * Cherry-pick commit 16cde6c32f from upstream to fix build on Hurd.
  * Work around upstream Makefile which tries to transform LDFLAGS into
    compiler options when they already are.
  * Drop now unnecessary build-dep on libattr1-dev.
  * Always build with V=1.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 05 Jan 2018 23:57:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Romain Francoise <rfrancoise@debian.org>
-Build-Depends: debhelper (>= 11),
-               libattr1-dev,
+Build-Depends: debhelper (>= 11~),
                libbsd-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/przemoc/metastore

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- V=1
+
 override_dh_auto_install:
-	PREFIX=/usr dh_auto_install
+	dh_auto_install	-- PREFIX=/usr
+	rm debian/metastore/usr/share/doc/metastore/LICENSE.GPLv2

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
http://ftp.przemoc.net/pub/software/utils/metastore/ metastore-(.+)\.tar\.gz
